View Issue Details

IDProjectCategoryView StatusLast Update
0037719LazarusWidgetsetpublic2020-11-05 00:39
ReporterCudaText man_ Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSmacOS 10.8 
Product Version2.1 (SVN) 
Summary0037719: Cocoa: button accelerators work when I just type text in combobox
DescriptionDemo
https://github.com/Alexey-T/FreePascal-tests/tree/master/Controls%20with%20accelerators%20non-ascii%20.%2C

type text with special chars
.
,
:
in the 2nd input. This fires buttons OnClick via accelerators.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCocoa
Attached Files

Activities

CudaText man_

2020-09-12 15:04

reporter   ~0125509

Let's remove accels from Cocoa.

CudaText man_

2020-10-08 10:35

reporter   ~0126143

Ok, solved (accelerators are removed on Mac)

Issue History

Date Modified Username Field Change
2020-09-08 11:56 CudaText man_ New Issue
2020-09-08 21:53 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-09-08 21:53 Dmitry Boyarintsev Status new => acknowledged
2020-09-08 21:53 Dmitry Boyarintsev LazTarget => -
2020-09-12 15:04 CudaText man_ Note Added: 0125509
2020-10-08 10:35 CudaText man_ Note Added: 0126143
2020-10-24 01:42 Dmitry Boyarintsev Status acknowledged => resolved
2020-10-24 01:42 Dmitry Boyarintsev Resolution open => fixed
2020-10-24 01:42 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-11-05 00:39 CudaText man_ Status resolved => closed